# cocoa_v.h File Reference

The Cocoa video driver. More...

`#include <AvailabilityMacros.h>`
`#include "../video_driver.hpp"`

Go to the source code of this file.

## Data Structures
class | VideoDriver_Cocoa
class | FVideoDriver_Cocoa
class | CocoaSubdriver
## Functions
CocoaSubdriver * | QZ_CreateFullscreenSubdriver (int width, int height, int bpp)
void | QZ_GameSizeChanged ()
void | QZ_GameLoop ()
void | QZ_ShowMouse ()
void | QZ_HideMouse ()
uint | QZ_ListModes (OTTD_Point *modes, uint max_modes, CGDirectDisplayID display_id, int display_depth)
## Variables
CocoaSubdriver * | _cocoa_subdriver

## Detailed Description

The Cocoa video driver.

Definition in file cocoa_v.h.